%define name oracle-ebs-server-R12-preinstall
%define version 1.0.0
%define release 4.el5

Summary: Sets the system for Oracle  E-Business Suite Release 12 for Oracle Linux 5
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPLv2
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Provides: %{name} = %{version}

PreReq:/etc/redhat-release

#generic
Requires:procps module-init-tools ethtool initscripts bc pam ksh
Requires:binutils gcc gcc-c++ glibc-common  glibc-headers  libaio-devel 
Requires:make sysstat xorg-x11-xinit util-linux 
Requires:xorg-x11-utils bind-utils libaio  smartmontools glibc redhat-lsb 
Requires:glibc-devel libgcc libstdc++ libstdc++-devel  
Requires:setarch  gdbm libXp  compat-libstdc++-33 perl

#ebiz
Requires:compat-libstdc++-296  elfutils-libelf elfutils-libelf-devel 
Requires:elfutils-libelf-devel-static libgomp unzip zip 

#from oss
Requires:openmotif21 xorg-x11-libs-compat

%ifarch i386 i486 i586 i686
Requires: unixODBC-devel unixODBC libXtst libXi libXrender
%endif

%ifarch x86_64
#compat-libstdc++-33:i386
Requires: libstdc++.so.5 /usr/lib/libstdc++.so.5

#glibc-devel:i386
Requires: /usr/lib/libc.so  

#libXrender:i386
Requires: /usr/lib/libXrender.so.1

#glibc:i386
Requires: libc.so.6 /lib/libc.so.6 

#libgcc:i386
Requires: libgcc_s.so.1  

#libstdc++:i386
Requires: libstdc++.so.6 

#libaio:i386
Requires:libaio.so.1

#libaio-devel:i386
Requires:/usr/lib/libaio.so  

#gdbm:i386
Requires: libgdbm.so.2  

#libXi.i386
Requires: libXi.so.6

#libXtst:i386
Requires: /usr/lib/libXtst.so.6 

#libXt:i386
Requires:/usr/lib/libXt.so.6 

#libSM:i386
Requires:/usr/lib/libSM.so.6 

#libICE:i386
Requires:/usr/lib/libICE.so.6 

#libXp:i386
Requires:/usr/lib/libXp.so.6

#libXp:x86_64
Requires:/usr/lib64/libXp.so.6

#FIXME:unixODBC:i386
Requires:/usr/bin/odbcinst

#unixODBC-devel:i386 
Requires:/usr/lib/libodbccr.so 

#unixODBC-devel:x86_64 
Requires:/usr/lib64/libodbccr.so 

#pam:i386
Requires: /lib/security/pam_limits.so 

#libstdc++-devel:i386
Requires: /usr/lib/gcc/i386-redhat-linux/4.1.1/libstdc++.a

%endif 


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for Oracle  E-Business Suite Release 12 for Oracle Linux Release 5
Files affected: /etc/sysctl.conf, /etc/security/limits.conf, /boot/grub/menu.lst.

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/usr/bin
install -m 600 oracle-ebs-server-R12-preinstall.params $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-firstboot  $RPM_BUILD_ROOT/etc/rc.d/init.d
ln -f -s /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify  $RPM_BUILD_ROOT/usr/bin/oracle-ebs-server-R12-preinstall-verify 2> /dev/null;

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f  /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.params ]; then 
  cp -f /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.params  /var/log/%{name}/results/.oracle-ebs-server-R12-preinstall.params 2> /dev/null
fi

if [ -d /etc/sysconfig/%{name} ]; then
  rm -rf /etc/sysconfig/%{name} 2> /dev/null
fi	

%post
/usr/bin/oracle-ebs-server-R12-preinstall-verify 2> /dev/null 1>&2

if ! [ -f /etc/sysconfig/oracle-ebs-server-R12-preinstall/oracle-ebs-server-R12-preinstall.conf ]; then
	chkconfig --add oracle-ebs-server-R12-preinstall-firstboot  
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del oracle-ebs-server-R12-preinstall-firstboot 
 if [ -x /usr/bin/oracle-ebs-server-R12-preinstall-verify ]; then
   /usr/bin/oracle-ebs-server-R12-preinstall-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm /usr/bin/oracle-ebs-server-R12-preinstall-verify 2> /dev/null
   rm -rf /etc/sysconfig/%{name} 2> /dev/null
 fi
 if [ -d /var/log/%{name} ]; then	
   rm -rf /var/log/%{name} 2> /dev/null	
 fi
fi

%files
%defattr(-,root,root)
%doc COPYING
%config /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.params
/etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify
/usr/bin/oracle-ebs-server-R12-preinstall-verify
/etc/rc.d/init.d/oracle-ebs-server-R12-preinstall-firstboot 

%changelog
* Mon Apr 14 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0.0-4.el5]
- Added COPYING with GPLv2

* Wed Feb 12 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0.0-3.el5]
- Included libXrender

* Wed Feb 12 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0.0-2.el5]
- Included unixODBC-devel.x86_64 as per bz17324

* Mon Nov 11 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0.0-1.el5]
- Created
